net.sf.jasperreports.web.util

## Class ReportExecutionHyperlinkProducer

- java.lang.Object
- - net.sf.jasperreports.web.util.ReportExecutionHyperlinkProducer

- All Implemented Interfaces:
    JRHyperlinkProducer
  Direct Known Subclasses:
    ReportInteractionHyperlinkProducer

      public class ReportExecutionHyperlinkProducer
      extends java.lang.Object
      implements JRHyperlinkProducer

  Version:
    $Id: ReportExecutionHyperlinkProducer.java 6923 2014-02-24 14:18:52Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `HYPERLINK_TYPE_REPORT_EXECUTION`
    `protected JasperReportsContext` | `jasperReportsContext`
    `static java.lang.String` | `PARAMETER_REPORT_URI`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ReportExecutionHyperlinkProducer(JasperReportsContext jasperReportsContext, javax.servlet.http.HttpServletRequest request)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getHyperlink(JRPrintHyperlink hyperlink)` Generates the String hyperlink for a hyperlink instance.
    `static ReportExecutionHyperlinkProducer` | `getInstance(JasperReportsContext jasperReportsContext, javax.servlet.http.HttpServletRequest request)`
    `protected java.lang.String` | `getPath()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HYPERLINK_TYPE_REPORT_EXECUTION

          public static final java.lang.String HYPERLINK_TYPE_REPORT_EXECUTION

      See Also:
        Constant Field Values

    - #### PARAMETER_REPORT_URI

          public static final java.lang.String PARAMETER_REPORT_URI

      See Also:
        Constant Field Values

    - #### jasperReportsContext

          protected JasperReportsContext jasperReportsContext

  - ### Constructor Detail

    - #### ReportExecutionHyperlinkProducer

          protected ReportExecutionHyperlinkProducer(JasperReportsContext jasperReportsContext,
                                          javax.servlet.http.HttpServletRequest request)

  - ### Method Detail

    - #### getInstance

          public static ReportExecutionHyperlinkProducer getInstance(JasperReportsContext jasperReportsContext,
                                                     javax.servlet.http.HttpServletRequest request)

    - #### getPath

          protected java.lang.String getPath()

    - #### getHyperlink

          public java.lang.String getHyperlink(JRPrintHyperlink hyperlink)

      Description copied from interface: `JRHyperlinkProducer`
      Generates the String hyperlink for a hyperlink instance.
      Specified by:
        `getHyperlink` in interface `JRHyperlinkProducer`
      Parameters:
        `hyperlink` - the hyperlink instance
      Returns:
        the genereated String hyperlink

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com